Skip to Content
dzshipBY DZBUILD
Reference

Every supported courier

GET
/v1/couriers

Query Parameters

platform?string
q?string

Response Body

Courier catalogue

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://freeship.dzbuild.com/v1/couriers'
Example Response200
[  {    "key": "string",    "name": "string",    "platform": "string",    "aliases": [      "string"    ],    "requiredCredentials": [      "string"    ],    "capabilities": {      "property1": true,      "property2": true    },    "endpoint": "string",    "requiresBaseUrl": true,    "baseUrlSuffixes": [      "string"    ]  }]